Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.repository.perforce
Class AbstractPerforceCommand

    java.lang.Object
      com.atlassian.bamboo.command.Command
          com.atlassian.bamboo.repository.perforce.AbstractPerforceCommand

Direct Known Subclasses:
  PerforceChangesCommand, PerforceClientCommand, PerforceDescribeCommand, PerforceSyncCommand, PerforceUsersCommand

    public abstract class AbstractPerforceCommand

extends Command

This class provides common perforce command behaviour.

Constructor Summary
`AbstractPerforceCommand()`

Method Summary
`String` | `getClient()` Which client are we using?
`String` | `getP4Executable()` Which perforce p4 app are we using
`String` | `getPort()` Which port are we using?
`String` | `getUser()` Which perforce username are we using to execute commands
`File` | `getWorkingDirectory()` Not implemented as perforce places the files according to the depot definition.
`void` | `setClient(String client)` Specify the client name are we using
`void` | `setP4Executable(String p4Exe)` Define the p4 app we're using to run these commands
`void` | `setPort(String port)` Define the port
`void` | `setUser(String user)` Define the perforce user used to execute the perforce command

Methods inherited from class com.atlassian.bamboo.command.Command
`executeCommand, getCommandLine, getEnvironmentSetting, getErrorOutput, getOutput, hasErrors, isExecutableExists, isWindowsPlatform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPerforceCommand

    public AbstractPerforceCommand()

Method Detail

### getUser

    public String getUser()

  Which perforce username are we using to execute commands

  Returns:
    The p4 username we are using, null if we want to use the default perforce user

### setUser

    public void setUser(String user)

  Define the perforce user used to execute the perforce command

  Parameters:
    `user` - The perforce user name

### setP4Executable

    public void setP4Executable(String p4Exe)

  Define the p4 app we're using to run these commands

  Parameters:
    `p4Exe` -

### getP4Executable

    public String getP4Executable()

  Which perforce p4 app are we using

  Returns:
    The p4 we're using

### setPort

    public void setPort(String port)

  Define the port

  Parameters:
    `port` - what is the port

### getPort

    public String getPort()

  Which port are we using?

  Returns:
    The perforce port

### setClient

    public void setClient(String client)

  Specify the client name are we using

  Parameters:
    `client` - The client

### getClient

    public String getClient()

  Which client are we using?

  Returns:
    the client

### getWorkingDirectory

    public File getWorkingDirectory()

  Not implemented as perforce places the files according to the depot definition.

  Specified by:
    `getWorkingDirectory` in class `Command`
  Returns:
    null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.